Subject: Re: Comments on draft-deng-chinese-names-03.txt

From: Zhen Cao <[email-masked]>
Date: Mon, 4 Jul 2016 14:07:33 +0800

Dear Nori,

Thanks again for your efforts in shaping this document to the right direction.

See my resolution inline and in the associated draft update.
https://www.ietf.org/internet-drafts/draft-deng-chinese-names-04.txt

Regards,
Zhen

On Sat, Jun 20, 2015 at 8:21 PM, Nori Demizu <[email-masked]> wrote:
> Dear Hui,
>
> Thank you for your detailed response.  I'm sorry for my delayed reply.
>
>
>> From: Hui Deng <[email-masked]>
>> Subject: FW: Comments on draft-deng-chinese-names-03.txt
>> Date: Mon, 08 Jun 2015 19:44:44 +0800
>> Message-ID: <[email-masked]>
>>
>> Hello all,
>>
>> We got more and more comments on this draft, and were thinking that
>> we could resolve all of them offline, but later see that more IETF
>> people are interested in this draft since Chinese is a quite special
>> one to handle, which is different from Japanese, Korea, other Asian
>> language adapted to English already.
>>
>>
>> Dear Nori Demizu.
>>
>> Thanks a lot for you kind review
>> Reply inline. with ==>
>>
>> -----Original Message-----
>>
>> From: Nori Demizu [mailto:[email-masked]]
>> Sent: Sunday, May 17, 2015 2:00 PM
>> To: Hui Deng; Zhen Cao; Paul Hoffman
>> Subject: Comments on draft-deng-chinese-names-03.txt
>>
>> Hello, Hui Deng, Zhen Cao, Paul Hoffman,
>>
>> I read your I-D <draft-deng-chinese-names-03.txt> and found it is
>> a very interesting document.  Thank you for providing it!
>>
>> Let me introduce myself before writing my comments.  My name is
>> Noritoshi Demizu (Demizu is my family name).  I am 51 years old
>> Japanese male.  Though I cannot speak Chinese, I am a big fan of
>> Chinese pops/music (e.g., Faye Wong, Jacky Cheung, Teresa Teng,
>> Michael Wong, etc.).  So, I have learned entry level of Chinese.
>> My comments are based on my understanding of Chinese basics plus
>> some borrowed knowledge from Wikipedia pages I read these days.
>> I am sorry if some of my understanding is incorrect.
>>
>> And, I am one of the authors of RFC3038.  I launched an internet
>> drafts archive site at http://www.watersprings.org about 15 years
>> ago and ran it until 2011.  Now it is run by Warren Kumari, an
>> active internet researcher/engineer.
>>
>> ==> Great Job, thanks
>>
>> Below are my comments.  Part 1 proposes some minor corrections.
>> Part 2 comments on Pinyin and Part 3 comments on Tones.  Then,
>> Part 4 proposes additional modifications.
>>
>>
>> 1.  Minor Corrections
>>
>> 1.1.  In the 1st paragraph in page 8 (the 4th paragraph in Section 3)
>>
>>  >   one character).  In this case, Chinese people speaking his name in
>>  >   informal conversation would normally family name, and just call him
>>  >   by using his given name, Xiaodong.
>>
>> At the middle of the sentence above, the auxiliary verb "would"
>> does not have a verb.  How about inserting a verb such as "omit"?
>> (i.e., "would normally *omit* family name")
>>
>> ==> Thanks, Randy send me the separate email which also mentioned this,
>>     so this is accepted.
>>
>>
>> 1.2.  In the 3rd paragraph in page 9 (the 2nd paragraph in Section 7)
>>
>>  >   macron (a horizontal bar), rising is with a acute accent, down then
>>
>> How about changing "a acute accent" to "an acute accent"?
>> (i.e., "a" -> "an")
>>
>> ==> Thanks, corrected
>>
>>
>> 1.3.  In Acknowledgements in page 10 (Section 9)
>>
>>  >   even published.  Some of the people who contributed include: Aaron
>>  >   Ding Cameron Byrne, Fred Baker, Haibin Song, Ida Leung, Jari Arkko,
>>
>> At the head of contributors list, I guess a comma (,) is missing
>> between Aaron Ding (the first person) and Cameron Byrne (the second
>> person).
>>
>> ==> Thanks, corrected
>
> Thank you for all the corrections above.
>
>
>> 2.  Pinyin
>>
>> 2.1.  "v" as a replacement of "u" with a dieresis
>>
>> According to the Wikipedia pages below, "v" is often used as a
>> replacement of "u" with a dieresis (also known as an umlaut).
>> Your I-D uses "v" in the same manner (e.g., "nvshi" and "nv3shi4").
>>
>>   http://en.wikipedia.org/wiki/Pinyin
>>   http://en.wikipedia.org/wiki/Diaeresis_(diacritic)
>>
>>   (My dictionaries at hand say "diaeresis" is a British spelling.
>>    And it is spelled as "dieresis" in American spelling.)
>>
>> Though this usage of "v" seems to be a common practice for Chinese
>> people, it may not be a common knowledge for non-Chinese people.
>> (For example, I did not know of it until I read your I-D.)
>>
>> How about adding a description saying that "v" is often used as a
>> replacement of "u" with a dieresis because "v" is not used in Pinyin?
>> If you add it, you can use "v" in Figure 2 "Pronouncing Pinyin Finals"
>> and in the words "Nvshi" and "Nv3shi4" in Section 8 without concern.
>>
>> ==> thank you a lot for writing this, Randy in a separate email also
>>     discussed, based on the comments, we have updated in ver 4 which
>>     not yet submitted as below, hope it works for you
>>
>> >  v        |  Like the vowel in French "tu" or German "suess",
>> >           |  produced by placing the tongue as for the "i" vowel
>> >           |  while rounding the lips as for the "u" vowel.
>> >           |  More commonly displayed as "&uuml;"
>> >           |  Since 2012, appears in Chinese passports as "yu"
>
> Thank you.  It works for me.
>
>
>> 2.2.  A New Reference to Pinyin
>>
>> How about adding the following URL as a reference to Pinyin?
>>
>>   http://en.wikipedia.org/wiki/Pinyin
>>
>> This page elaborates on Pinyin and the pronunciation tables in this
>> page have more detailed explanations.  This page would be a great help
>> to deepen reader's understanding of Pinyin.
>>
>> ==> I recalled that we have included this before, There were a
>>     discussion that this draft is not the purpose of study Chinese,
>>     so we removed it finally.  do you still think that is a value to
>>     add this as the reference?
>
> Thank you for letting me know why you don't add the above Wikipedia
> page describing Pinyin in the Informative References in your I-D.  I
> understand that you chose not to add learning materials but to add a
> definition of Pinyin.
>
> I agree with your principle.  I'd like to withdraw my proposal to add
> the above Wikipedia page on Pinyin as a reference.
>
> By the way, there are other documents related to Pinyin published by
> standards organizations.  For example;
>
>   * ISO 7098:1991 "Romanization of Chinese"
>
>     It can be purchased at ISO's following URL.
>     http://www.iso.org/iso/catalogue_detail.htm?csnumber=13683
>
>     It is now being revised.  The current status can bee seen at
>     http://www.iso.org/iso/catalogue_detail.htm?csnumber=61420
>
>   * GB/T 16159-2012 and GB/T 28039-2011
>
>     They are published by Ministry of Education of the People's
>     Republic of China.  They are available at the following URLs.
>
>     GB/T 16159-2012 (written in Chinese)
>     "Basic rules of the Chinese phonetic alphabet orthography"
>     http://www.moe.edu.cn/ewebeditor/uploadfile/2015/01/13/20150113091717604.pdf
>
>     GB/T 28039-2011 (written in Chinese)
>     "The Chinese phonetic alphabet spelling rules for Chinese names"
>     http://www.moe.gov.cn/ewebeditor/uploadfile/2012/06/01/20120601104529410.pdf
>
>   * ALA-LC Romanization for Chinese
>
>     (It is listed in the Informative References in your I-D.)
>
>     It is published by ALA-LC (American Library Association -
>     Library of Congress).  It is available at the following URL.
>     http://www.loc.gov/catdir/cpso/romanization/chinese.pdf
>
> Could you let me know why you chose ALA-LC Romanization for Chinese
> rather than ISO 7098 or GB/T 16159 & 28039?

I changed to the reference to the GB/T 16159-2012.  This is definitely
better let alone its Chinese only.

The reason why I used the ALA-LC one was it's in English...

>
>
>> 3.  Tones
>>
>> 3.1.  Background: Tone Names
>>
>> In Section 12 "Informative References", [FourTones] points to the
>> following URL.
>>
>>   http://en.wikipedia.org/wiki/Chinese_tones
>>
>> According to the page above, tones in Chinese language vary depending
>> on the place and the era.  It describes Four Tones in Early Middle
>> Chinese first, then compares them with the tones in modern Chinese
>> dialects.  According to the page above, the tone names of Four Tones
>> in Early Middle Chinese are as follows.
>>
>>   - level (or even)
>>   - rising
>>   - departing (or going)
>>   - entering (or checked)
>>   [1: List of the traditional Four Tones names]
>>
>> On the other hand, the following Wikipedia page describes the tones
>> in modern standard Chinese (Standard Mandarin).
>>
>>   http://en.wikipedia.org/wiki/Standard_Chinese_phonology#Tones
>>
>> According to the page above, the tones in modern standard Chinese
>> correspond to Four Tones in Early Middle Chinese as follows; i.e.,
>> Level (or even) corresponds to two tones (1st tone and 2nd tone).
>> Rising and departing correspond to 3rd tone and 4th tone,
>> respectively.  And entering (or checked) disappeared.
>>
>>   1st tone: dark level (dark means yin of yin/yang)
>>   2nd tone: light level (light means yang of yin/yang)
>>   3rd tone: rising
>>   4th tone: departing
>>   [2: The modern standard Chinese tones and traditional Four Tones]
>>
>> The Wikipedia page above also uses following words to describe the
>> modern standard Chinese tones.  Apparently, these words are not based
>> on the traditional Four Tones names.  (I do not know whether they are
>> common description among Chinese people.)
>>
>>   1st tone: high-level tone
>>   2nd tone: rising tone (or high-rising tone)
>>   3rd tone: low tone (or dipping tone)
>>   4th tone: falling tone (or high-falling tone)
>>   5th tone: neutral tone (= qing1 sheng1 or light tone)
>>   [3: The modern standard Chinese tones with simple descriptions]
>>
>> By the way, your I-D uses tone names as follows.
>>
>>   1st tone: level or even
>>   2nd tone: rising
>>   3rd tone: down-then-up (or departing)
>>   4th tone: falling (or entering)
>>   [4: The modern standard Chinese tones and tone names in your I-D]
>>
>> In this list, the order of tone names are the same with the order of
>> the traditional Four Tones names (except "down-then-up" for 3rd tone
>> and "falling" for 4th tone).  But the correspondence between the
>> modern standard Chinese tones and the traditional Four Tones names
>> is not correct (Compare with the list [2: The modern standard Chinese
>> tones and traditional Four Tones]).
>>
>> From another point of view, "level" for 1st tone, "rising" for 2nd
>> tone, "falling" for 4th tone (and probably "down-then-up" for 3rd
>> tone) might come from the modern practice to distinguish the modern
>> standard Chinese tones.
>>
>> By considering above, I guess that the traditional Four Tones names
>> and the modern practical tone names are mixed together in your I-D,
>> while they are incompatible (i.e., "level" and "rising" have different
>> meanings).
>>
>> ==> This is very important point, also why I want to discuss it in
>>     the IETF mailing list other than offline discussion.  The reason
>>     we don't use [1,2,3, is because what almost all Chinese
>>     elementary student learned is [4, other than [1,2,3.  Even = "-"
>>     = (1), rising = "/" = (2), down-then-up = "\/" = (3), falling =
>>     "\" = (4) and we explain it to "four tone" which is mostly
>>     similar to we probably need to add tone number to this four
>>     tones in the end of section 2.3
>
> Thank you for letting me know that all Chinese elementary students
> learn tones as (1) even, (2) rising, (3) down-then-up, and (4) falling.
>
> I would greatly appreciate it if you would add tone numbers in section
> 2.3.

modified.

>
> I also would appreciate it if you would change the term "level" to
> "even" in the third paragraph in section 2.3, because the first tone
> is called as "level" in section 2.3 while it is called as "even" in
> section 7 without any note.

modified.

>
>
>> ==> this is very straightforward, and easily understand, especially
>>     for foreign people to learn it.  The purpose of this draft is
>>     also not encourage people to learn Chinese academically, but
>>     just wanna to help IETF people to speak Chinese name easily in
>>     a very short time.
>
> Thank you for clarifying the purpose of your I-D.  It's great.
> I second your purpose.
>
> By the way, your I-D describes two kinds of four tones systems.
>
>   1. The four tones system of modern standard Chinese.
>
>      As you told me, there are following four main tones:
>      (1) even, (2) rising, (3) down-then-up, and (4) falling.
>
>   2. The four tones system of Early Middle Chinese.
>
>      According to <http://en.wikipedia.org/wiki/Chinese_tones>,
>      which is listed in the Informative References of your I-D,
>      there were level, rising, departing, and entering.
>      It was used from 5th? to 7th? centuries.
>
> (Perhaps, you may not be aware that you mention the latter four
>  tones system in your I-D.  Both four tones systems are mixed
>  together in the third paragraph in section 2.3.)
>
> Though the number of tones are the same, these two "four tones"
> systems are not the same, as I wrote in my first e-mail.  That is,
> the four tones system of Early Middle Chinese is an ancestor of
> the four tones system of modern standard Chinese.  Some tone in
> Early Middle Chinese is split into two tones in modern standard
> Chinese while some tone disappeared.
>
> Although the four tones system of Early Middle Chinese often appears
> in academic documents, I guess it does not appear in textbooks for
> Chinese elementary students.
>
> Needless to say, I think it is essentially important to mention the
> four tones system of modern standard Chinese.
>
> But I still don't think it is necessary to mention the four tones
> system of Early Middle Chinese, which was used more than a thousand
> years ago.
>
> So, I still would like to propose to remove the four tones of Early
> Middle Chinese from your I-D.  That is, I would like to propose to
> remove the term "departing" and "entering" from the third paragraph
> in section 2.3.

with the removal of 'level', i think this issue never exist.

new section 2.3 is
        Spoken Chinese also has tones (shifts in pitch) within a syllable.
        The four main tones of Chinese are first tone (even), second
tone (rising),
        third tone (down then up), and fourth tone (falling).
        These four tones are used to clarify
        the meanings of words.

>
> Additionally, I still would like to propose to remove the reference
> [FourTones] referring to <http://en.wikipedia.org/wiki/Chinese_tones>,
> because it mainly describes the four tones of Early Middle Chinese.
>
>   (Chinese version of the Wikipedia page on "Four Tones (Chinese)" at
>    <https://zh.wikipedia.org/wiki/%E5%9B%9B%E8%81%B2> has simpler
>    description than English version.  You will find that it first
>    describes the four tones of Early Middle Chinese (6th? century),
>    then compares them with the tones of modern Chinese dialects.
>    It also describes the differences between the four tones of Early
>    Middle Chinese and the four tones of modern standard Chinese.
>    English version describes the same topics in greater detail.
>    I'm afraid [FourTones] doesn't match your purpose.)
>
> I believe my proposals above support your purpose in writing your I-D.

It is supportive, and thank you for checking the details.  I have
removed the reference to the [FourTones].

>
>
>> ==> do you think that we can skip the left 3 proposals, accept 1
>>     proposal by incorporate into section 2.3 about tone number?
>
> I would like to summarize my three proposals related to tones here.
>
>   * Proposal 1: Removing the Traditional Four Tones Names
>
>     In order to remove academic terminology, I still would like to
>     propose to remove the terms of the four tones of Early Middle
>     Chinese (i.e., "departing" and "entering") from the third
>     paragraph in section 2.3.
>
>     I also still would like to propose to remove the reference to
>     <http://en.wikipedia.org/wiki/Chinese_tones>, which mainly
>     describes the four tones of Early Middle Chinese.
>
>    (I'd like to repeat that I do think it is crucially important
>     to mention the four main tones of modern standard Chinese.)

accepted and modified.

>
>   * Proposal 2: Using Tone Numbers
>
>     I'd like to change this proposal as below.
>
>     I would like to propose to use tone numbers in addition to
>     the names that all Chinese elementary students learn.

already included now.

>
>   * Proposal 3: A New Reference to the Modern Standard Chinese Tone
>
>     I would like to withdraw this proposal because my proposal does
>     not match your principle on references.
>
>
>> 3.2.  Proposal 1: Removing the Traditional Four Tones Names
>>
>> In order to make description on the Chinese tones simple, how about
>> removing the traditional Four Tones names from your I-D?  That is,
>> how about removing "even" for 1st tone, "departing" for 3rd tone and
>> "entering" for 4th tone?
>>
>> In addition, in Section 12 "Informative References", how about
>> removing the following reference to traditional Four Tones?
>>
>>  >   [FourTones]
>>  >              Wikipedia, "Four Tones", August 2013,
>>  >              <http://en.wikipedia.org/wiki/Chinese_tones>.
>>
>> Here are the reasons:
>>
>>   (1) The correspondence between the traditional Four Tones names and
>>       the modern standard Chinese tones is a bit complex, as shown in
>>       the list [2: The modern standard Chinese tones and traditional
>>       Four Tones] above, especially for beginners like me.
>>
>>   (2) The current usage of the traditional Four Tones names in your
>>       I-D is not correct as discussed in the previous section in this
>>       comment.
>>
>>   (3) Some modern practices to call the modern standard Chinese tones
>>       seem to be incompatible with the traditional Four Tones names.
>>
>>
>> 3.3.  Proposal 2: Using Tone Numbers
>>
>> In order to keep away from the ambiguity of tone names, how about
>> calling the modern standard Chinese tones by tone numbers instead
>> of tone names?
>>
>> Here are the reasons:
>>
>>   (1) The only set of tone names I have found in Wikipedia is based on
>>       the traditional Four Tones names, which is shown in the list [2:
>>       The modern standard Chinese tones and traditional Four Tones]
>>       above.  I think it is a bit complex and inappropriate for
>>       beginners like me.
>>
>>   (2) My Chinese texts at hand call the four main tones of standard
>>       Chinese by tone numbers.  They do not use tone names.  I think
>>       most learners of Chinese language are familiar with tone numbers.
>>
>> Of course, I think it is important to give a short description for
>> each tone.
>>
>>
>> 3.4.  Proposal 3: A New Reference to the Modern Standard Chinese Tone
>>
>> In Section 12 "Informative References", how about adding a reference
>> to the following URL, which describes the tones of modern standard
>> Chinese?
>>
>>   http://en.wikipedia.org/wiki/Standard_Chinese_phonology#Tones
>>
>> This page elaborates on the modern standard Chinese tones.  It depicts
>> the contours of the four main tones by diagrams (and by tone letters
>> and tone numerals if readers understand them).  It also describes the
>> detailed rules of the modern standard Chinese tones including neutral
>> tone.  It would be a great help to deepen reader's understanding of
>> the tones of modern standard Chinese.
>>
>>
>> 4.  Additional Modifications
>>
>> 4.1.  "Han characters" in Section 2.1
>>
>> Hanzi is called "Han characters" in section 2.1 and "Chinese characters"
>> in other sections.  I think many IETF participants understand what "Han"
>> means, but some might not understand what "Han" means.  How about changing
>> "Han characters" in section 2.1 to "Chinese characters (Han characters)"?
>> Or "Chinese characters (Hanzi)" as in Section 2.2?
>>
>> ==> Section 2.2 says "Chinese characters (Hanzi)" already?
>
> Yes, it says.  But section 2.2 appears after section 2.1.
>
> I think it would be easier for readers to understand if they can
> grasp the meaning of the term "Han characters" where it appears
> for the first time.
>
>
>> 4.2.  One Syllable for One Chinese Character in Section 2.3
>>
>> How about adding a description, something like "There are tens of
>> thousands of Chinese characters.  Each Chinese character has its
>> own meanings and is pronounced with one syllable." in Section 2.3?
>>
>> The reason is that I guess readers are expected to have this knowledge
>> (especially, the relationship between a Chinese character, a Chinese
>> word and a syllable; e.g. each Chinese character represents a word,
>> and each Chinese character is pronounced by one syllable with a tone),
>> but non-Chinese people might not know of this.
>>
>> ==> I will check Cao Zhen, come back to you later, thanks for your waiting.
>>
>>
>> 4.3.  Unaspirated/Aspirated vs. Voiced/Unvoiced in Section 2.3.1
>>
>> How about adding a description, something like "English language
>> distinguishes some consonants by whether they are voiced or unvoiced
>> (e.g., between b, d, g and p, t, k), while Chinese language
>> distinguishes them by whether they are unaspirated or aspirated."
>> in Section 2.3.1?
>>
>> The reason is that some entries in Figure 1 "Pronouncing Pinyin
>> Initials" seem to assume readers have this knowledge, but
>> non-Chinese people might not know of this.
>>
>> In addition, how about adding a description, something like
>> "For most English speakers, unaspirated and aspirated consonants
>> in Chinese would sound like voiced and unvoiced, respectively."
>> in Section 2.3.1, if this is true?  (It is true for Japanese)
>>
>> ==> I think that is not all the same, you can tell from wiki, some
>>     of them are not explained by unaspirated or aspirated.
>
> Thank you.  O.K.  I'd like to withdraw this proposal.
>
>
>> 4.4.  "Inflection" in Section 2.3
>>
>> (I am sorry the description below is a bit complex.
>>  Fortunately, the resulting proposal is simple.)
>>
>> Section 2.3 uses the word "inflection" in the explanation of tone.
>> According to the Wikipedia page below, "inflection" is a term in
>> grammar.
>>
>>   http://en.wikipedia.org/wiki/Inflection
>>
>> The page above says that "In grammar, inflection or inflexion is the
>> modification of a word to express different grammatical categories
>> such as tense, mood, voice, aspect, person, number, gender and case."
>> (e.g., dog -> dogs, call -> called, write -> wrote -> written)
>>
>> Hence, some of readers whose mother tongue has inflection could
>> misunderstand the concept of the Chinese tone.
>>
>> By the way, according to the Wikipedia page below, "tone" is a term in
>> linguistics.
>>
>>   http://en.wikipedia.org/wiki/Tone_(linguistics)
>>
>> The page above says that "Tone is the use of pitch in language to
>> distinguish lexical or grammatical meaning."  And there are following
>> two types of tone systems.
>>
>>   * Contour tone systems (Chinese uses this)
>>       The distinguishing feature of tones is
>>       "their shifts in pitch (that is, the pitch is a contour),
>>        such as rising, falling, dipping, or level."
>>
>>   * Register tone systems
>>       The distinguishing feature of tones is
>>       "the relative difference between the pitches,
>>        such as high, mid, or low, rather than their shapes."
>>
>> Hence, it can be said that the Chinese tones are distinguished by
>> "shifts in pitch" or "pitch pattern" within a syllable.
>>
>> So, how about explaining the Chinese tones by something like
>> "Spoken Chinese also has tones (shifts in pitch) within a syllable.
>> The four main tones of Chinese are first tone (high-level), second
>> tone (rising), third tone (down then up), and fourth tone (falling)." ?
>>
>> ==> This part I also need to discuss with Cao Zhen, this part is
>>     written mainly by him.thanks a lot for your waiting.
>>
>> Anyhow, very insight review, we appreciate your comment to better
>> shape the document
>>
>> Best regards,
>> DENG Hui
>>
>> Thank you for reading my comments.
>>
>> Regards,
>> Nori Demizu
>
> Thank you for reading my reply.

More than welcome. Thank you again for all comments that shape this
document towards our initial intention better.

Regards,
Zhen

> Regards,
> DEMIZU Nori

---

From: Nori Demizu <[email-masked]>
Date: Mon, 18 Jul 2016 14:14:15 +0900

Dear Zhen,

Thank you for all your efforts to polish up your helpful document.

See my replies inline.

> From: Zhen Cao <[email-masked]>
> To: Nori Demizu <[email-masked]>
> Cc: Hui Deng <[email-masked]>, Hui Deng <[email-masked]>,
>     [email-masked], [email-masked], [email-masked]
> Subject: Re: Comments on draft-deng-chinese-names-03.txt
> Date: Mon, 04 Jul 2016 14:07:33 +0800
> Message-id: <[email-masked]>
>
> Dear Nori,
>

Just FYI.  I would like to update the information above.  The new
revision of ISO 7098 was published as ISO 7098:2015 in December 2015.
As mentioned in section 2.2 in your I-D, the initial revision (i.e.,
ISO 7098:1982) was published in 1982.  Their statuses can bee seen at
the following URLs.  Only the latest revision can be purchased.

ISO 7098:1982 - http://www.iso.org/iso/catalogue_detail.htm?csnumber=13682
ISO 7098:1991 - http://www.iso.org/iso/catalogue_detail.htm?csnumber=13683
ISO 7098:2015 - http://www.iso.org/iso/catalogue_detail.htm?csnumber=61420

> better let alone its Chinese only.

It seems that your new I-D (rev.04) does not follow your choise above.
It has references both to GB/T 16159-2012 labeled as [Romanize] and
ALA-LC's Chinese romanization document labeled as [Pinyin].

I'm afraid you unintentionally updated the reference of [Romanize],
while you intended to update the reference of [Pinyin].

> The reason why I used the ALA-LC one was it's in English...

Another reason might be that ALA-LC's document has a section titled
"Correspondence of Wade-Giles to Pinyin."  Note that the paragraph
referring [Pinyin] in section 2.1 in your I-D mentions both Wade-Giles
and Pinyin.  But if you want to focus on Pinyin there, the section is
not valuable for your I-D.

> > I would greatly appreciate it if you would add tone numbers in section

Thank you!

> > section 7 without any note.

Thank you!

>         These four tones are used to clarify

Thank you!

> removed the reference to the [FourTones].

Thank you!

> >     to mention the four main tones of modern standard Chinese.)

Thank you!

> >     the names that all Chinese elementary students learn.

Thank you!

> document towards our initial intention better.

I'm so happy if some of my comments are useful in editing your document.

By the way, in the 2nd paragraph in Section 6 "Inferring Gender from
Names" of your new I-D (rev.04), you wrote:

 >   Several facts shape the above statement.  First of all, every Chinese
 >   character can be used in names.  Secondly, some characters have been
 >   used more frequently in girl's name, and some characters have more
 >   frequent presence in girl's name.  But generally they are mixed.

In the description of the second fact, I guess you intended to
contrast girl's name and boy's name.  But the description above
mentions only girl's name.  If my guess is correct, I would like
to propose to change one of two "girl's name" to "boy's name."

Thanks again!

Regards,
DEMIZU Nori (CHU1SHUI3 Fa3jun4)